//
//	Base filename:  Charger.C
//	
//	Project:	CitiVan Charge Computer
//	Model:		1
//	Version:	1
//	
//	Revision History:
//	-----------------
//                                    
//	Author:			Date:	   Version:	Description:
//	-------			-----	   --------	------------
//	T. Snoblen		11/25/96     1.0	Original implementation.
//
//	Copyright Tom Snoblen 1999
//==============================================================================
void display_setup ();
void write_display(char ch,char reg);
void display_string (char* ch,int nPos);
void display_busy();



#define TRUE		1
#define	FALSE		0 




#define WRITEDATA       0x02  // write display data
#define READREG  	0x04  // r/w register
#define READMASK        0xfb  // set back to write
#define ENABLE_DISPLAY  0x08  // display enable control line
#define ENABLE_MASK     0xf7  // disable the enable control
#define READDATA        0x06  // read display data
#define WRITEREG        0x00  // write display register
#define REGRWMASK 	0xf1  // to clear the select, reg bit and the r/w bit


//display operations
#define DISPLAY_DELAY   15   // delay loop count 

// display commands
#define CLEAR		0x01  // clear display
#define HOME		0x02  // home cursor
#define MODE		0x06  // display mode
#define ON		0x0d  // on modes cursor on blink on
#define SHIFT		0x0c  // move cursor right
#define FUNCTION	0x38  // 8 bit mode
#define CCRAM		0x40  // CC ram data
#define DDRAM		0x80  // DD RAM data




